# resourceName

Connector resource type names.

### Examples

```graphql
enum ResourceName {
  repos
  clusters
  containers
  images
  branches
  accounts
  applications
  organizations
  projects
  subscriptions
}
```

### Enum values

| Enum value    | Description |
| ------------- | ----------- |
| repos         |             |
| clusters      |             |
| containers    |             |
| images        |             |
| branches      |             |
| accounts      |             |
| applications  |             |
| organizations |             |
| projects      |             |
| subscriptions |             |

### References

#### Fields with this object:

* [{} ResourceOptions.resourceName](/api-documentation/api-reference/api--connectors/types/objects/resource-options.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/enums/resource-name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
